# GetCanDelegatedMaxSize

In Stake2.0, query the amount of delegatable resources share of the specified resource type for an address, unit is sun.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `owner_address` - String, required - Owner address, default hexString
* `type` - int32 - Resource type, 0 is bandwidth, 1 is energy
* `visible` - Boolean - Optional. Specifies whether the address is in Base58 format (default: false).

## **Returns**

`max_size` - int64 : the amount of delegatable resource share, unit is sun.

* When querying the delegatable energy share of an account, if the available energy share in the account is 0, this API returns {}
* When querying the delegatable bandwidth share of an account, if the bandwidth obtained by staking in the account is not enough to pay for the bandwidth consumed by a resource delegation transaction itself, this API also returns {}

Note: If the delegating transaction has a memo, it would consume more bandwidth, therefore the actual delegatable share would be less than the return of this API.

```json
// Result
{}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/wallet/getcandelegatedmaxsize \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "owner_address": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g",
  "type": 0,
  "visible": true
}
'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/account-resources/getcandelegatedmaxsize.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
